Bug 1962493 - Kebab menu of taskrun contains Edit options which should not be present
Summary: Kebab menu of taskrun contains Edit options which should not be present
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.z
Assignee: Mohammed Saud
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On: 1961675
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-20 08:21 UTC by Mohammed Saud
Modified: 2021-06-15 09:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1961675
Environment:
Last Closed: 2021-06-15 09:28:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
Kebab menu of taskrun only contains Delete TaskRun (57.69 KB, image/png)
2021-06-09 22:34 UTC, spathak@redhat.com
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8987 0 None open [release-4.7] Bug 1962493: Hide TaskRun edit actions for rows in Pipelinerun's TaskRun tab 2021-05-21 16:19:36 UTC
Red Hat Product Errata RHSA-2021:2286 0 None None None 2021-06-15 09:28:52 UTC

Description Mohammed Saud 2021-05-20 08:21:00 UTC
+++ This bug was initially created as a clone of Bug #1961675 +++

Description of problem:
User should only be able to Delete a taskrun, but the taskrun kebab menu includes options to Edit lable, annotation, and taskrun


Prerequisites (if any, like setup, operators/versions):
Install Openshift Pipelines Operator


Steps to Reproduce

    Create pipeline and create pipelineruns
    Navigate to Pipelines page and click on a pipeline which has piplinerun
    Click on the pipelinerun and navigate to taskrun tab
    Click on the kebab menu for options


Actual results:
The Kebab menu of taskrun contains Edit options which should not be present


Expected results:
The Kebab menu of the taskrun should only contain Delete Taskrun option


Reproducibility (Always/Intermittent/Only Once):
Always

Comment 3 spathak@redhat.com 2021-06-09 22:34:51 UTC
Created attachment 1789696 [details]
Kebab menu of taskrun only contains Delete TaskRun

Comment 4 Mohammed Saud 2021-06-10 06:53:39 UTC
@spathak@redhat.com it is expected since TaskRun is not intended to be edited. See comment on PR: https://github.com/openshift/console/pull/8960#discussion_r635301409

Comment 5 spathak@redhat.com 2021-06-10 07:32:24 UTC
Verified on build version: 4.7.0-0.nightly-2021-06-07-203428
Browser: Google Chrome 89

Comment 7 errata-xmlrpc 2021-06-15 09:28:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2286


Note You need to log in before you can comment on or make changes to this bug.